PETSc version 3.15.5
Fix/Edit manual page

# TSSetComputeExactError

Set the function used to automatically compute the exact error for the timestepping.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetComputeExactError(TS ts, PetscErrorCode (*exactError)(TS, Vec, Vec))

Logically collective on ts

### Input Arguments

| ts | - time stepping context
| exactError | - The function which computes the solution error

### Calling sequence for exactError

    PetscErrorCode exactError(TS ts, Vec u)

| ts | - The timestepping context
| u | - The approximate solution vector
| e | - The input vector in which the error is stored

### See Also

TSGetComputeExactError(), TSComputeExactError()

### Level

advanced

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages